Subject: bug#47699: [External] : bug#47699: [PATCH] Improve completion-list-mode-map

From: Drew Adams <[email-masked]>
Date: Sun, 11 Apr 2021 18:59:32 +0000

> Are you sure that it's okay to rebind M-c in
> minibuffer-local-completion-map?  It's a good mnemonic for "completion",
> but it hides the capitalize-word binding, that users might possibly want
> to use there (I don't, it's only when thinking about this patch that I
> realized this).
> 
> Another option would be M-g, which would not hide anything that is
> possibly useful in the minibuffer, and is still a mnemonic of "goto".

FWIW, my voice says don't do any of this.  Just
leave keymap `completion-list-mode-map' alone.
(Likewise, the minibuffer keymaps.)

Yes, I can (and do) override whatever bindings
are unwise there.  Still...

As for a key to switch between the minibuffer
and *Completions*, FWIW Icicles uses `C-<insert>',
by default.  (Has done so for decades.)

And the commands for that key don't just switch
windows.  Moving to *Completions* puts the cursor
on the first occurrence of the current minibuffer
content, and moving to the minibuffer inserts the
current candidate in `*Completions*' (under the
cursor) as the current candidate for the minibuffer.

If vanilla Emacs insists on binding a key for
switching windows, for Icicles users it would be
better for vanilla Emacs to use `C-<insert>' as
well - the behavior would be similar with and
without Icicles.

IMO, `M-c' or any other editing key is a poor
choice for anything in the minibuffer.  For the
most part,uUsers should be able to do ordinary
editing in the minibuffer - including `M-c'.